### Interface

# Goa Contacts

#### Description [src]

    interface Goa.Contacts : GObject.Object

Abstract interface type for the D-Bus interface org.gnome.OnlineAccounts.Contacts.

#### Prerequisite

In order to implement Contacts, your type must inherit from`GObject`.

#### Implementations

- GoaContactsProxy
- GoaContactsSkeleton

#### Functions

###### goa_contacts_interface_info

Gets a machine-readable description of the org.gnome.OnlineAccounts.Contacts D-Bus interface.

###### goa_contacts_override_properties

Overrides all `GObject` properties in the `GoaContacts` interface for a concrete class. The properties are overridden in the order they are defined.

#### Instance methods

###### goa_contacts_dup_uri

Gets a copy of the “Uri” D-Bus property.

###### goa_contacts_get_accept_ssl_errors

Gets the value of the “AcceptSslErrors” D-Bus property.

###### goa_contacts_get_uri

Gets the value of the “Uri” D-Bus property.

###### goa_contacts_set_accept_ssl_errors

Sets the “AcceptSslErrors” D-Bus property to `value`.

###### goa_contacts_set_uri

Sets the “Uri” D-Bus property to `value`.

#### Properties

###### Goa.Contacts:accept-ssl-errors

Represents the D-Bus property “AcceptSslErrors”.

###### Goa.Contacts:uri

Represents the D-Bus property “Uri”.

#### Interface structure

    struct GoaContactsIface {
      GTypeInterface parent_iface;
      gboolean (* get_accept_ssl_errors) (
        GoaContacts* object
      );
      const gchar* (* get_uri) (
        GoaContacts* object
      );

    }

Virtual table for the D-Bus interface org.gnome.OnlineAccounts.Contacts.

###### Interface members

`parent_iface`

    GTypeInterface

| The parent interface.

`get_accept_ssl_errors`

    gboolean (* get_accept_ssl_errors) (
        GoaContacts* object
      )

| Getter for the `GoaContacts:accept-ssl-errors` property.

`get_uri`

    const gchar* (* get_uri) (
        GoaContacts* object
      )

| Getter for the `GoaContacts:uri` property.

#### Virtual methods

###### Goa.Contacts.get_accept_ssl_errors

Gets the value of the “AcceptSslErrors” D-Bus property.

###### Goa.Contacts.get_uri

Gets the value of the “Uri” D-Bus property.